Package org.drinkless.tdlib

# Class TdApi.InputMessageVideoNote

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InputMessageContent
org.drinkless.tdlib.TdApi.InputMessageVideoNote

Enclosing class:
  TdApi

public static class TdApi.InputMessageVideoNote extends TdApi.InputMessageContent
A video note message.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InputMessageContent

  `TdApi.InputMessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `duration`
  Duration of the video, in seconds; 0-60.
  `int`
  `length`
  Video width and height; must be positive and not greater than 640.
  `TdApi.MessageSelfDestructType`
  `selfDestructType`
  Video note self-destruct type; may be null if none; pass null if none; private chats only.
  `TdApi.InputThumbnail`
  `thumbnail`
  Video thumbnail; may be null if empty; pass null to skip thumbnail uploading.
  `TdApi.InputFile`
  `videoNote`
  Video note to be sent.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputMessageVideoNote()`
  A video note message.
  `InputMessageVideoNote(TdApi.InputFile videoNote, TdApi.InputThumbnail thumbnail, int duration, int length, TdApi.MessageSelfDestructType selfDestructType)`
  A video note message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### videoNote

    public TdApi.InputFile videoNote
    Video note to be sent.

  - ### thumbnail

    @Nullable public TdApi.InputThumbnail thumbnail
    Video thumbnail; may be null if empty; pass null to skip thumbnail uploading.

  - ### duration

    public int duration
    Duration of the video, in seconds; 0-60.

  - ### length

    public int length
    Video width and height; must be positive and not greater than 640.

  - ### selfDestructType

    @Nullable public TdApi.MessageSelfDestructType selfDestructType
    Video note self-destruct type; may be null if none; pass null if none; private chats only.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InputMessageVideoNote

    public InputMessageVideoNote()
    A video note message.

  - ### InputMessageVideoNote

    public InputMessageVideoNote(TdApi.InputFile videoNote, TdApi.InputThumbnail thumbnail, int duration, int length, TdApi.MessageSelfDestructType selfDestructType)
    A video note message.
    Parameters:
      `videoNote` - Video note to be sent.
      `thumbnail` - Video thumbnail; may be null if empty; pass null to skip thumbnail uploading.
      `duration` - Duration of the video, in seconds; 0-60.
      `length` - Video width and height; must be positive and not greater than 640.
      `selfDestructType` - Video note self-destruct type; may be null if none; pass null if none; private chats only.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InputMessageContent`
    Returns:
      this.CONSTRUCTOR